Debian Bug report logs - #367008
ITA: Control the behaviour of your cdrom device

version graph

Package: setcd; Maintainer for setcd is LENART Janos <ocsi@debian.org>; Source for setcd is src:setcd.

Reported by: Alexander Gattin <xrgtn@yandex.ru>

Date: Fri, 12 May 2006 19:33:02 UTC

Owned by: LENART Janos <ocsi@debian.org>

Severity: wishlist

Tags: patch

Found in version setcd/1.5-4

Fixed in version setcd/1.5-6

Done: LENART Janos <ocsi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, vleeuwen@debian.org (David A. van Leeuwen):
Bug#367008; Package setcd. Full text and rfc822 format available.

Acknowledgement sent to Alexander Gattin <xrgtn@yandex.ru>:
New Bug report received and forwarded. Copy sent to vleeuwen@debian.org (David A. van Leeuwen). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexander Gattin <xrgtn@yandex.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: setcd doesn't limit speed of NEC ND-45551A
Date: Fri, 12 May 2006 22:12:29 +0300
[Message part 1 (text/plain, inline)]
Package: setcd
Version: 1.5-4
Severity: wishlist
Tags: patch

Hi!

setcd -x as well as hdparm -X wasn't able to slow down
my DVD+RW drive during DVD playback (and it was
rocketing as a Ferrary car (thanks G-d I had earphones)).

While investigating the issue I've found (thank to
Goga777/Sky777):
http://noto.de/speed/speedcontrol.c
http://club.cdfreaks.com/showthread.php?t=173854
http://www.ussg.iu.edu/hypermail/li...411.3/1064.html

Using the code, I've implemented the patch for the
setcd. Here I atach it.

-- 
WBR,
xrgtn

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'oldstable'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i586)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.32-grsec
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages setcd depends on:
ii  libc6                         2.3.6-7    GNU C Library: Shared libraries

setcd recommends no packages.

-- no debconf information
[setcd.diff (text/plain, attachment)]

Owner recorded as LENART Janos <ocsi@debian.org>. Request was from LENART Janos <ocsi@debian.org> to control@bugs.debian.org. (Tue, 14 Apr 2009 06:18:07 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: Control the behaviour of your cdrom device' from `setcd doesn't limit speed of NEC ND-45551A'. Request was from LENART Janos <ocsi@debian.org> to control@bugs.debian.org. (Tue, 14 Apr 2009 06:18:08 GMT) Full text and rfc822 format available.

Reply sent to LENART Janos <ocsi@debian.org>:
You have taken responsibility. (Tue, 14 Apr 2009 06:48:04 GMT) Full text and rfc822 format available.

Notification sent to Alexander Gattin <xrgtn@yandex.ru>:
Bug acknowledged by developer. (Tue, 14 Apr 2009 06:48:04 GMT) Full text and rfc822 format available.

Message #14 received at 367008-close@bugs.debian.org (full text, mbox):

From: LENART Janos <ocsi@debian.org>
To: 367008-close@bugs.debian.org
Subject: Bug#367008: fixed in setcd 1.5-6
Date: Tue, 14 Apr 2009 06:33:47 +0000
Source: setcd
Source-Version: 1.5-6

We believe that the bug you reported is fixed in the latest version of
setcd, which is due to be installed in the Debian FTP archive:

setcd_1.5-6.diff.gz
  to pool/main/s/setcd/setcd_1.5-6.diff.gz
setcd_1.5-6.dsc
  to pool/main/s/setcd/setcd_1.5-6.dsc
setcd_1.5-6_amd64.deb
  to pool/main/s/setcd/setcd_1.5-6_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 367008@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
LENART Janos <ocsi@debian.org> (supplier of updated setcd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 14 Apr 2009 07:10:24 +0200
Source: setcd
Binary: setcd
Architecture: source amd64
Version: 1.5-6
Distribution: unstable
Urgency: low
Maintainer: LENART Janos <ocsi@debian.org>
Changed-By: LENART Janos <ocsi@debian.org>
Description: 
 setcd      - Control the behaviour of your cdrom device
Closes: 367008 406134
Changes: 
 setcd (1.5-6) unstable; urgency=low
 .
   * Adopting the package. (closes: #406134)
   * Now using the SET STREAMING command too. (closes: #367008)
     + Code from: Thomas Fritzsche <tf@noto.de>
     + Patch from: Alexander Gattin <xrgtn@yandex.ru>
   * Fixing some minor lintian warnings.
Checksums-Sha1: 
 8745d65cf7ebde0c6afd4ffe64b9c648bda61359 894 setcd_1.5-6.dsc
 e1bf8412d851830641e132d9a06db88c01990dec 5552 setcd_1.5-6.diff.gz
 9b239f4e3ec21d44b1d8242b143e24997543ca1a 13824 setcd_1.5-6_amd64.deb
Checksums-Sha256: 
 9750f52c30aeb24e4045dbbff771f092fee7d1cd203b5176e86dae8b30782630 894 setcd_1.5-6.dsc
 a0c6f01afac08144359e37e97db3cf66651dd01bcd3421fd58a01ff300d93e8e 5552 setcd_1.5-6.diff.gz
 519421594aa974192bc3c4bc28013a03fe9f5089b4a879afe9dffdf74c901540 13824 setcd_1.5-6_amd64.deb
Files: 
 5c409adca92c6eb5c13fa27b6377f69d 894 utils optional setcd_1.5-6.dsc
 da9b4f89debac263b44cda1cb06e548b 5552 utils optional setcd_1.5-6.diff.gz
 5b6da19580353502150fe85ac477299a 13824 utils optional setcd_1.5-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFJ5CeqefzP0rBFj00RAgC5AJ4m4pCoe48GQIuNY1g59I9ddXL5UQCfXojM
dsu36L3na8M0n+AIsY/fr+Q=
=JF2S
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 May 2009 07:27:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:30:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.